/**
 * output package name
 */
package com.kingdee.eas.custom.compensation;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class TypeEnum extends StringEnum
{
    public static final String IERP_VALUE = "ierp";//alias=星瀚薪酬代发单
    public static final String UN_IERP_VALUE = "un_ierp";//alias=星瀚离职赔偿金代发单

    public static final TypeEnum ierp = new TypeEnum("ierp", IERP_VALUE);
    public static final TypeEnum un_ierp = new TypeEnum("un_ierp", UN_IERP_VALUE);

    /**
     * construct function
     * @param String typeEnum
     */
    private TypeEnum(String name, String typeEnum)
    {
        super(name, typeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static TypeEnum getEnum(String typeEnum)
    {
        return (TypeEnum)getEnum(TypeEnum.class, typeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(TypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(TypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(TypeEnum.class);
    }
}